account/urls.py
from django.conf.urls import url
from django.contrib.auth.views import (
    login,
    logout,
    password_change,
    password_change_done,
    password_reset,
    password_reset_done,
    password_reset_confirm,
    password_reset_complete,
)

from account.views import (
    AccountView,
    AccountUpdate,
    ProfileView,
)

app_name = 'account'
urlpatterns = [
    url(r'^$', AccountView.as_view(), name='view'),

    url(r'^login/$', login, name='login'),
    url(r'^logout/$', logout, name='logout', kwargs={'next_page': '/'}),

    url(r'^profile/$', ProfileView.as_view(), name='profile'),

    url(r'^password/change/$', password_change, name='password-change',
        kwargs={'post_change_redirect': 'account:password-change-done'}),
    url(r'^password/change/done/$', password_change_done, name='password-change-done'),
    url(r'^password/reset/$', password_reset, name='password-reset',
        kwargs={'post_reset_redirect': 'account:password-reset-done'}),
    url(r'^password/reset/done/$', password_reset_done, name='password-reset-done'),
    url(r'^password/reset/confirm/$', password_reset_confirm, name='password-reset-confirm',
        kwargs={'post_reset_redirect': 'account:password-reset-complete'}),
    url(r'^password/reset/complete/$', password_reset_complete, name='password-reset-complete'),

    url(r'^(?P<username>[^/]+)/$', AccountView.as_view(), name='view-other'),
    url(r'^(?P<username>[^/]+)/edit/$', AccountUpdate.as_view(), name='member-update'),
]

organ/urls.py
from django.conf import settings
from django.conf.urls import url, include
from django.views.static import serve
from django.contrib import admin

from web.views import MainView

urlpatterns = [
    url(r'^$', MainView.as_view(), name='index'),
    url(r'^social/', include('social.apps.django_app.urls', namespace='social')),
    url(r'^avatar/', include('avatar.urls', namespace='avatar')),
    url(r'^account/', include('account.urls', namespace='account')),
    url(r'^admin/', admin.site.urls),
    url(r'^static/(?P<path>.*)$', serve, name='static', kwargs={'document_root': settings.STATIC_ROOT}),
]

account/models.py
from __future__ import unicode_literals

from django.contrib.auth.models import User
from django.db import models

# Look at this: https://docs.djangoproject.com/en/1.10/topics/auth/customizing/


class MemberType(models.Model):
    name = models.CharField(max_length=32)

    DEFAULT_PK = 1

    def __str__(self):
        return self.name


class Member(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)
    type = models.ForeignKey(MemberType, default=MemberType.DEFAULT_PK)
    joined = models.DateField()
    renewed = models.DateField(blank=True, null=True)
    created = models.DateTimeField(auto_now_add=True)
    updated = models.DateTimeField(auto_now=True)

    def __str__(self):
        return self.user.get_full_name() or self.user.get_username()

event/models.py
from __future__ import unicode_literals

from django.db import models

# Create your models here.

web/models.py
from __future__ import unicode_literals

from django.db import models

# Create your models here.

account/views.py
from django.contrib.auth.mixins import LoginRequiredMixin
from django.contrib.auth.models import User
from django.views.generic import DetailView, UpdateView, RedirectView


class AccountView(LoginRequiredMixin, DetailView):
    model = User
    slug_field = 'username'
    slug_url_kwarg = 'username'

    def get_context_data(self, **kwargs):
        context = super(AccountView, self).get_context_data(**kwargs)
        if 'user' in context and context['user'].social_auth.exists():
            context['github'] = context['user'].social_auth.get(provider='github')
        return context


class AccountUpdate(LoginRequiredMixin, UpdateView):
    model = User
    slug_field = 'username'
    slug_url_kwarg = 'username'
    fields = ('first_name', 'last_name', 'email')
    success_url = '/account'


class ProfileView(RedirectView):
    def get_redirect_url(self, *args, **kwargs):
        if self.request.user and self.request.user.is_authenticated:
            return '/account/{}/'.format(self.request.user.username)
        return '/'

event/views.py
from django.shortcuts import render

# Create your views here.

web/views.py
from django.contrib.auth.mixins import LoginRequiredMixin
from django.views.generic import TemplateView


class MainView(LoginRequiredMixin, TemplateView):
    template_name = 'web/main.html'

web/templates/base.html
<!DOCTYPE html>{% load static from staticfiles %}
<html>
    <head>
        <meta charset="utf-8">
        <title>{% block title %}{% endblock %}</title>
        {% block head %}{% endblock %}
    </head>
    <body class="{% block bocy-class %}{% endblock %}">
        {% block body %}{% endblock %}
        {% block foot %}{% endblock %}
    </body>
</html>

web/templates/partials/footer.html
<footer class="main-footer">
    <div class="container">
        <ul class="breadcrumb">
            <li><span>Copyright &copy; 2016 <a href="http://www.hamakor.org.il/" target="_blank"><strong>Hamakor</strong></a></span></li>
            <li><span>Powered by <a href="https://gitlab.com/hamakor/organ" target="_blank"><strong>Organ</strong></a></span></li>
            <li><span>Theme: <a href="https://github.com/almasaeed2010/AdminLTE" target="_blank">AdminLTE</a> by <a href="http://almsaeedstudio.com" target="_blank">Almsaeed Studio</a></span></li>
        </ul>
    </div>
    <!-- /.container -->
</footer>

web/templates/partials/navbar.html
<nav class="navbar navbar-static-top">
  <div class="container">
    <div class="navbar-header">
      <a href="{% url 'index' %}" class="navbar-brand"><b>Organ</b> Hamakor</a>
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse">
        <i class="fa fa-bars"></i>
      </button>
    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
    <div class="collapse navbar-collapse pull-left" id="navbar-collapse">
      <ul class="nav navbar-nav">
          <li class=""><a href="#">Membership</a></li>
      </ul>
    </div>
    <!-- /.navbar-collapse -->
    <!-- Navbar Right Menu -->
    <div class="navbar-custom-menu">
      <ul class="nav navbar-nav">
          {% if request.user %}
          <li><a href="{% url 'account:profile' %}">Profile</a></li>
          <li><a href="{% url 'account:logout' %}">Logout</a></li>
          {% endif %}
      </ul>
    </div>
    <!-- /.navbar-custom-menu -->
  </div>
  <!-- /.container-fluid -->
</nav>

web/templates/partials/sidebar.html
<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
        <!-- Sidebar user panel -->
        <div class="user-panel">
            <div class="pull-left image">
                <img src="../../dist/img/user2-160x160.jpg" class="img-circle" alt="User Image">
            </div>
            <div class="pull-left info">
                <p>Alexander Pierce</p>
                <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
            </div>
        </div>
        <!-- search form -->
        <form action="#" method="get" class="sidebar-form">
            <div class="input-group">
                <input type="text" name="q" class="form-control" placeholder="Search...">
                <span class="input-group-btn">
                <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
            </div>
        </form>
        <!-- /.search form -->
        <!-- sidebar menu: : style can be found in sidebar.less -->
        <ul class="sidebar-menu">
            <li class="header">MAIN NAVIGATION</li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-dashboard"></i> <span>Dashboard</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="../../index.html"><i class="fa fa-circle-o"></i> Dashboard v1</a></li>
                    <li><a href="../../index2.html"><i class="fa fa-circle-o"></i> Dashboard v2</a></li>
                </ul>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-files-o"></i>
                    <span>Layout Options</span>
                    <span class="pull-right-container">
              <span class="label label-primary pull-right">4</span>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="../layout/top-nav.html"><i class="fa fa-circle-o"></i> Top Navigation</a></li>
                    <li><a href="../layout/boxed.html"><i class="fa fa-circle-o"></i> Boxed</a></li>
                    <li><a href="../layout/fixed.html"><i class="fa fa-circle-o"></i> Fixed</a></li>
                    <li><a href="../layout/collapsed-sidebar.html"><i class="fa fa-circle-o"></i> Collapsed Sidebar</a>
                    </li>
                </ul>
            </li>
            <li>
                <a href="../widgets.html">
                    <i class="fa fa-th"></i> <span>Widgets</span>
                    <span class="pull-right-container">
              <small class="label pull-right bg-green">new</small>
            </span>
                </a>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-pie-chart"></i>
                    <span>Charts</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="../charts/chartjs.html"><i class="fa fa-circle-o"></i> ChartJS</a></li>
                    <li><a href="../charts/morris.html"><i class="fa fa-circle-o"></i> Morris</a></li>
                    <li><a href="../charts/flot.html"><i class="fa fa-circle-o"></i> Flot</a></li>
                    <li><a href="../charts/inline.html"><i class="fa fa-circle-o"></i> Inline charts</a></li>
                </ul>
            </li>
            <li class="treeview active">
                <a href="#">
                    <i class="fa fa-laptop"></i>
                    <span>UI Elements</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="general.html"><i class="fa fa-circle-o"></i> General</a></li>
                    <li><a href="icons.html"><i class="fa fa-circle-o"></i> Icons</a></li>
                    <li><a href="buttons.html"><i class="fa fa-circle-o"></i> Buttons</a></li>
                    <li><a href="sliders.html"><i class="fa fa-circle-o"></i> Sliders</a></li>
                    <li class="active"><a href="timeline.html"><i class="fa fa-circle-o"></i> Timeline</a></li>
                    <li><a href="modals.html"><i class="fa fa-circle-o"></i> Modals</a></li>
                </ul>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-edit"></i> <span>Forms</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="../forms/general.html"><i class="fa fa-circle-o"></i> General Elements</a></li>
                    <li><a href="../forms/advanced.html"><i class="fa fa-circle-o"></i> Advanced Elements</a></li>
                    <li><a href="../forms/editors.html"><i class="fa fa-circle-o"></i> Editors</a></li>
                </ul>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-table"></i> <span>Tables</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="../tables/simple.html"><i class="fa fa-circle-o"></i> Simple tables</a></li>
                    <li><a href="../tables/data.html"><i class="fa fa-circle-o"></i> Data tables</a></li>
                </ul>
            </li>
            <li>
                <a href="../calendar.html">
                    <i class="fa fa-calendar"></i> <span>Calendar</span>
                    <span class="pull-right-container">
              <small class="label pull-right bg-red">3</small>
              <small class="label pull-right bg-blue">17</small>
            </span>
                </a>
            </li>
            <li>
                <a href="../mailbox/mailbox.html">
                    <i class="fa fa-envelope"></i> <span>Mailbox</span>
                    <span class="pull-right-container">
              <small class="label pull-right bg-yellow">12</small>
              <small class="label pull-right bg-green">16</small>
              <small class="label pull-right bg-red">5</small>
            </span>
                </a>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-folder"></i> <span>Examples</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="../examples/invoice.html"><i class="fa fa-circle-o"></i> Invoice</a></li>
                    <li><a href="../examples/profile.html"><i class="fa fa-circle-o"></i> Profile</a></li>
                    <li><a href="../examples/login.html"><i class="fa fa-circle-o"></i> Login</a></li>
                    <li><a href="../examples/register.html"><i class="fa fa-circle-o"></i> Register</a></li>
                    <li><a href="../examples/lockscreen.html"><i class="fa fa-circle-o"></i> Lockscreen</a></li>
                    <li><a href="../examples/404.html"><i class="fa fa-circle-o"></i> 404 Error</a></li>
                    <li><a href="../examples/500.html"><i class="fa fa-circle-o"></i> 500 Error</a></li>
                    <li><a href="../examples/blank.html"><i class="fa fa-circle-o"></i> Blank Page</a></li>
                    <li><a href="../examples/pace.html"><i class="fa fa-circle-o"></i> Pace Page</a></li>
                </ul>
            </li>
            <li class="treeview">
                <a href="#">
                    <i class="fa fa-share"></i> <span>Multilevel</span>
                    <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
                </a>
                <ul class="treeview-menu">
                    <li><a href="#"><i class="fa fa-circle-o"></i> Level One</a></li>
                    <li>
                        <a href="#"><i class="fa fa-circle-o"></i> Level One
                            <span class="pull-right-container">
                  <i class="fa fa-angle-left pull-right"></i>
                </span>
                        </a>
                        <ul class="treeview-menu">
                            <li><a href="#"><i class="fa fa-circle-o"></i> Level Two</a></li>
                            <li>
                                <a href="#"><i class="fa fa-circle-o"></i> Level Two
                                    <span class="pull-right-container">
                      <i class="fa fa-angle-left pull-right"></i>
                    </span>
                                </a>
                                <ul class="treeview-menu">
                                    <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                    <li><a href="#"><i class="fa fa-circle-o"></i> Level Three</a></li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                    <li><a href="#"><i class="fa fa-circle-o"></i> Level One</a></li>
                </ul>
            </li>
            <li><a href="../../documentation/index.html"><i class="fa fa-book"></i> <span>Documentation</span></a></li>
            <li class="header">LABELS</li>
            <li><a href="#"><i class="fa fa-circle-o text-red"></i> <span>Important</span></a></li>
            <li><a href="#"><i class="fa fa-circle-o text-yellow"></i> <span>Warning</span></a></li>
            <li><a href="#"><i class="fa fa-circle-o text-aqua"></i> <span>Information</span></a></li>
        </ul>
    </section>
    <!-- /.sidebar -->
</aside>

web/templates/site_base.html
{% extends "base.html" %}{% load static from staticfiles %}

{% block title %}Organ{% if subtitle %} - {{ subtitle }}{% endif %}{% endblock %}

{% block head %}
    <link href="{% static 'AdminLTE/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static 'font-awesome/css/font-awesome.min.css' %}" rel="stylesheet">
    <link href="{% static 'Ionicons/css/ionicons.min.css' %}" rel="stylesheet">
    <link href="{% static 'AdminLTE/dist/css/AdminLTE.min.css' %}" rel="stylesheet">
    <link href="{% static 'AdminLTE/dist/css/skins/_all-skins.min.css' %}" rel="stylesheet">
    <link href="{% static 'css/app.css' %}" rel="stylesheet">
{% endblock %}

{% block bocy-class %}hold-transition skin-blue layout-top-nav{% endblock %}

{% block body %}
    <div class="wrapper">
        <header class="main-header">
            {% include 'partials/navbar.html' %}
        </header>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <div class="container">
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        {% block header-title %}{% endblock %}
                        <small>{% block header-subtitle %}{% endblock %}</small>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    {% block content %}{% endblock %}
                </section>
            </div>
        </div>
        {% include 'partials/footer.html' %}
    </div>
{% endblock %}


{% block foot %}
    <script src="{% static 'jquery/dist/jquery.min.js' %}"></script>
    <script src="{% static 'AdminLTE/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'AdminLTE/dist/js/app.min.js' %}"></script>
    <script src="{% static 'js/app.js' %}"></script>
{% endblock %}

web/templates/web/main.html
{% extends 'site_base.html' %}